main()
{
	precacheShader("white");

	ambientPlay("amb_wind");

	thread falling();
	thread finish();
	thread music();
	thread wind();
	thread silent();
}

falling()
{
	t = getent("heaven_falling_trig","targetname");
	
	while(1)
	{
		t waittill("trigger", user);
		user thread shader();
		user playlocalsound(getRandomScream());
		wait 2;
		user suicide();
	}
}

getRandomScream()
{
	i = randomIntRange(1, 6);
	return "heaven_falling_"+i;
}

shader()
{
	self.blind = newClientHudElem(self);
	self.blind.x = 0;
	self.blind.y = 0;
	self.blind.alpha = 0;
	self.blind setshader("white", 640, 480);
	self.blind fadeovertime(1.5);
	self.blind.alpha = 1;
	wait 1.5;
	self.blind fadeovertime(1);
	self.blind.alpha = 0;
	wait 1;
	self.blind destroy();
}

finish()
{
	t = getent("finish","targetname");
		
	while(1)
	{
		t waittill("trigger", user);
		if(!isDefined(user.hasFinishedHeaven))
			user.hasFinishedHeaven = false;
			
		if(!user.hasFinishedHeaven)
		{
			user.hasFinishedHeaven = true;
			iprintlnbold("Well done, "+user.name+"^7 has finished the map!");
			user iprintlnbold("Well done "+user.name+"^7, you've finished gg_heaven");
			wait 3;
			user iprintlnbold("This map was made by TheGoog with big Credits to Rezil and Zozo");
			wait 3;
			user iprintlnbold("Hope you enjoyed it!");
		}
	}
}

shader2()
{
	self.blind2 = newClientHudElem(self);
	self.blind2.x = 0;
	self.blind2.y = 0;
	self.blind2.alpha = 1;
	self.blind2 setshader("white", 640, 480);
	wait 0.5;
	self.blind2 fadeOverTime(1);
	self.blind2.alpha = 0;
	wait 1;
	self.blind2 destroy();
}

music()
{
	
	musicTrigger = getent("music", "targetname");
	
	while(1){
		musicTrigger waittill("trigger", user);
		ambientStop();
		ambientPlay("amb_heaven");
		wait(0.05);
		user iPrintLn("Rawnald Gregory Erickson ^3-^7 The Second ^3(^7Strategy Remix^3)^7");
	}
}

wind()
{
	
	musicTrigger = getent("wind", "targetname");
	
	while(1){
		musicTrigger waittill("trigger", user);
		ambientStop();
		ambientPlay("amb_wind");
		wait(0.05);
	}
}		

silent()
{
	
	musicTrigger = getent("silent", "targetname");
	
	while(1){
		musicTrigger waittill("trigger", user);
		ambientStop();
		ambientPlay("amb_null");
		wait(0.05);
	}
}	